Issue #11054 has been updated by Tomoyuki Chikanaga.

Backport changed from 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: REQUIRED to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONE

Backported into `ruby_2_2` branch at r50549.

----------------------------------------
Bug #11054: ruby won't build on OS X 10.5  fgetattrlist() not available
https://bugs.ruby-lang.org/issues/11054#change-52499

* Author:  PvpDJgHP
* Status: Closed
* Priority: Low
* Assignee: 
* ruby -v: ruby 2.2.1p85 (2015-02-26 revision 49769) [x86_64-darwin9]
* Backport: 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONE
----------------------------------------
[Revision 49303](https://bugs.ruby-lang.org/projects/backport22/repository/revisions/49303/diff/dir.c) added a use of the fgetattrlist() function fromOS X.

The function fgetattrlist() was added in OS X 10.6 (darwin10). As a result,ruby will fail to compile on older OS X releases.



-- 
https://bugs.ruby-lang.org/